Bug 80843 - Exported chart PNG contains thin white lines inside some of its data points
Summary: Exported chart PNG contains thin white lines inside some of its data points
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other Linux (All)
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2014-07-03 10:07 UTC by Robin Green
Modified: 2019-10-12 02:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Spreadsheet (38.58 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-07-03 10:07 UTC, Robin Green
Details
Exported chart (6.80 KB, image/png)
2014-07-03 10:09 UTC, Robin Green
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Green 2014-07-03 10:07:31 UTC
Created attachment 102190 [details]
Spreadsheet

Problem description: 
The exported chart (attached) has thin white lines inside some of its data points.

Steps to reproduce:
1. Open attached document
2. Right-click on chart
3. Choose Export as Image
4. Change PNG to All Formats in the Combo box
5. Enter a filename

Current behavior:
See attached PNG file.

Expected behavior:
Data points in chart should be solid squares.
Operating System: Fedora
Version: 4.2.5.2 release
Comment 1 Robin Green 2014-07-03 10:09:39 UTC
Created attachment 102191 [details]
Exported chart
Comment 2 raal 2014-07-29 16:14:43 UTC
Reproducible with Version: 4.4.0.0.alpha0+
Build ID: 7d06a0601ddccc50185ea97fddcdf2ea39299096
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-07-28_06:17:50
Comment 3 tommy27 2015-08-23 09:31:50 UTC
not reproducible under Win8.1 x64 using LibO 4.2.2.1 and recent 5.1.0.0 alpha
probably a Linux specific issue. would you please guys retest?
Comment 4 raal 2015-08-23 11:31:09 UTC
(In reply to tommy27 from comment #3)
> not reproducible under Win8.1 x64 using LibO 4.2.2.1 and recent 5.1.0.0 alpha
> probably a Linux specific issue. would you please guys retest?

Still reproducible with Version: 5.1.0.0.alpha1+
Build ID: 6b7354ae66db40246a09e00aa876443057655a43
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-08-19_01:05:16
Comment 5 QA Administrators 2016-09-20 10:25:30 UTC Comment hidden (obsolete)
Comment 6 Robin Green 2016-09-25 13:52:04 UTC
Bug still present in LibreOffice 5.1.5.2 on Fedora 24.
Comment 7 QA Administrators 2018-07-25 02:41:29 UTC Comment hidden (obsolete)
Comment 8 Timur 2018-10-11 12:45:57 UTC
Repro 6.2+ Linux. Trivial.
Comment 9 QA Administrators 2019-10-12 02:44:01 UTC
Dear Robin Green,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug